public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-client/w3mmee/
Date: Thu, 11 Apr 2019 15:48:35 +0000 (UTC)	[thread overview]
Message-ID: <1554997699.f18aa394b18d6aa2f2991fe57d4c3c6f6c145efe.pacho@gentoo> (raw)

commit:     f18aa394b18d6aa2f2991fe57d4c3c6f6c145efe
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 11 15:23:59 2019 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Apr 11 15:48:19 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f18aa394

www-client/w3mmee: Disable support for dead imlib-1

Closes: https://bugs.gentoo.org/678910
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 www-client/w3mmee/w3mmee-0.3.2_p24-r12.ebuild | 155 ++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

diff --git a/www-client/w3mmee/w3mmee-0.3.2_p24-r12.ebuild b/www-client/w3mmee/w3mmee-0.3.2_p24-r12.ebuild
new file mode 100644
index 00000000000..839f8427a0f
--- /dev/null
+++ b/www-client/w3mmee/w3mmee-0.3.2_p24-r12.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit alternatives multilib toolchain-funcs
+
+MY_PV="${PV##*_}-23"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="A variant of w3m with support for multiple character encodings"
+HOMEPAGE="http://pub.ks-and-ks.ne.jp/prog/w3mmee/"
+SRC_URI="http://pub.ks-and-ks.ne.jp/prog/pub/${MY_P}.tar.gz"
+
+SLOT="0"
+LICENSE="w3m"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="gpm libressl nls ssl"
+
+DEPEND=">=dev-libs/boehm-gc-7.2
+	dev-libs/libmoe
+	dev-lang/perl
+	sys-libs/ncurses:0=
+	sys-libs/zlib
+	gpm? ( sys-libs/gpm )
+	nls? ( sys-devel/gettext )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)"
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-boehm-gc.patch
+	"${FILESDIR}"/${PN}-gcc-4.4.patch
+	"${FILESDIR}"/${PN}-gcc-4.5.patch
+	"${FILESDIR}"/${PN}-glibc-2.14.patch
+	"${FILESDIR}"/${PN}-rc_name.patch
+	"${FILESDIR}"/${PN}-time.patch
+	"${FILESDIR}"/${PN}-tinfo.patch
+	"${FILESDIR}"/${PN}-w3mman.patch
+)
+DOCS=( ChangeLog NEWS{,.mee} README )
+HTML_DOCS=( 00INCOMPATIBLE.html )
+
+src_prepare() {
+	default
+
+	sed -i "s:/lib\([^a-z$]\):/$(get_libdir)\1:g" configure
+	sed -i "/^AR=/s:ar:$(tc-getAR):" XMakefile
+}
+
+src_configure() {
+	local myconf=(
+		-locale_dir=$(usex nls "${EPREFIX}/usr/share/locale" '(NONE)')
+	)
+	local myuse=(
+		display_code=E
+		system_code=E
+		use_ansi_color=y
+		use_cookie=y
+		use_history=y
+		use_mouse=$(usex gpm y n)
+	)
+
+	if use ssl; then
+		myconf+=(
+			--ssl-includedir="${EPREFIX}/usr/include/openssl"
+			--ssl-libdir="${EPREFIX}/usr/$(get_libdir)"
+		)
+		myuse+=(
+			use_digest_auth=y
+			use_ssl=y
+			use_ssl_verify=y
+		)
+	else
+		myuse+=( use_ssl=n )
+	fi
+	# Obsolete imlib-1 disabled, bug #678910
+	myuse+=( use_image=n )
+
+	cat <<-EOF >> config.param
+	lang=MANY
+	accept_lang=en
+	EOF
+
+	env CC=$(tc-getCC) "${myuse[@]}" ./configure \
+		-nonstop \
+		-prefix="${EPREFIX}/usr" \
+		-suffix=mee \
+		-auxbindir="${EPREFIX}/usr/$(get_libdir)/${PN}" \
+		-libdir="${EPREFIX}/usr/$(get_libdir)/${PN}/cgi-bin" \
+		-helpdir="${EPREFIX}/usr/share/${PN}" \
+		-mandir="${EPREFIX}/usr/share/man" \
+		-sysconfdir="${EPREFIX}/etc/${PN}" \
+		-model=custom \
+		-libmoe="${EPREFIX}/usr/$(get_libdir)" \
+		-mb_h="${EPREFIX}/usr/include/moe" \
+		-mk_btri="${EPREFIX}/usr/libexec/moe" \
+		-cflags="${CFLAGS}" \
+		-ldflags="${LDFLAGS}" \
+		"${myconf[@]}" \
+		|| die
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	einstalldocs
+
+	# w3mman and manpages conflict with those from w3m
+	mv "${ED}"/usr/share/man/man1/w3m{,mee}.1 || die
+	mv "${ED}"/usr/share/man/ja/man1/w3m{,mee}.1 || die
+
+	docinto html/en
+	dodoc doc/*.html
+	rm -f doc/*.html
+	docinto en
+	dodoc doc/{HISTORY,README,keymap,menu}*
+
+	docinto html/ja
+	dodoc doc-jp/*.html
+	rm -f doc-jp/*.html
+	docinto ja
+	dodoc doc-jp/{HISTORY,README,keymap,menu}*
+}
+
+pkg_postinst() {
+	w3m_alternatives
+	einfo
+	einfo "If you want to render multilingual text, please refer to"
+	einfo "/usr/share/doc/${PF}/en/README.mee or"
+	einfo "/usr/share/doc/${PF}/jp/README.mee"
+	einfo "and set W3MLANG variable respectively."
+	einfo
+}
+
+pkg_postrm() {
+	w3m_alternatives
+}
+
+w3m_alternatives() {
+	if [[ ! -f /usr/bin/w3m ]]; then
+		alternatives_makesym /usr/bin/w3m \
+			/usr/bin/w3m{m17n,mee}
+		alternatives_makesym /usr/bin/w3mman \
+			/usr/bin/w3m{man-m17n,meeman}
+		alternatives_makesym /usr/share/man/ja/man1/w3m.1.gz \
+			/usr/share/man/ja/man1/w3m{m17n,mee}.1.gz
+		alternatives_makesym /usr/share/man/man1/w3m.1.gz \
+			/usr/share/man/man1/w3m{m17n,mee}.1.gz
+		alternatives_makesym /usr/share/man/man1/w3mman.1.gz \
+			/usr/share/man/man1/w3m{man-m17n,meeman}.1.gz
+	fi
+}


             reply	other threads:[~2019-04-11 15:48 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-04-11 15:48 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-03-26  0:18 [gentoo-commits] repo/gentoo:master commit in: www-client/w3mmee/ Sam James
2021-06-29 22:08 Yixun Lan
2021-05-01  7:43 Mikle Kolyada
2021-01-03  0:54 Andreas K. Hüttel
2020-06-21 17:13 Agostino Sarubbo
2020-06-21 16:54 Agostino Sarubbo
2020-06-16 14:20 Akinori Hattori
2019-12-13 13:23 Akinori Hattori
2019-02-06 13:34 Akinori Hattori
2019-02-06 13:34 Akinori Hattori
2019-02-06 13:34 Akinori Hattori
2019-02-06 13:34 Akinori Hattori
2018-08-21  0:09 Sergei Trofimovich
2018-08-18 22:15 Thomas Deutschmann
2018-08-18  3:59 Mikle Kolyada
2018-04-03 13:35 Akinori Hattori
2018-04-01 12:24 Akinori Hattori
2018-03-31 14:02 Akinori Hattori
2016-05-12 14:09 Anthony G. Basile
2016-05-11 20:37 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1554997699.f18aa394b18d6aa2f2991fe57d4c3c6f6c145efe.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox